CONTENT_SCHEMA = [
    {
        "name": "Person",
        "plural_name": "People",
        "fields": [
            {
                "name": "iri",
                "label": "iri",
                "indexed": False,
                "unique": True,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "incoming_connections",
                "label": "Incoming Connections",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },            
            {
                "name": "names",
                "label": "Names",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": "english",
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "images",
                "label": "Images",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "link",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },            
            {
                "name": "attributes",
                "label": "Attributes",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "notes",
                "label": "Notes",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "large_text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": "english",
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "birth_place",
                "label": "Birth Place",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Place",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },          
            {
                "name": "death_place",
                "label": "Death Place",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Place",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "places",
                "label": "Places",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Place",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "countries",
                "label": "Countries",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Country",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },  
            {
                "name": "birth_date",
                "label": "Birth Date",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "date",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "death_date",
                "label": "Death Date",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "date",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "years",
                "label": "Years",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "decades",
                "label": "Decades",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "professions",
                "label": "Professions",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "techniques",
                "label": "Techniques Used",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "broad_techniques",
                "label": "Techniques Used (broader category)",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "graphs",
                "label": "Graphs",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "NamedGraph",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{% for person_name in Person.names %}{{ person_name }}{% if not forloop.last %}, {% endif %}{% endfor %}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "label",
            "path",
            "content_type",
            "uri",
            "provenance",
            "last_updated",
            "field_intensities"
        ]
    },
    {
        "name": "Group",
        "plural_name": "Groups",
        "fields": [
            {
                "name": "iri",
                "label": "iri",
                "indexed": False,
                "unique": True,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "incoming_connections",
                "label": "Incoming Connections",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },            
            {
                "name": "names",
                "label": "Names",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": "english",
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "images",
                "label": "Images",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "link",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "places",
                "label": "Places",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Place",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "countries",
                "label": "Countries",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Country",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "decades",
                "label": "Decades",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "graphs",
                "label": "Graphs",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "NamedGraph",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{% for group_name in Group.names %}{{ group_name }}{% if not forloop.last %}, {% endif %}{% endfor %}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "label",
            "path",
            "content_type",
            "uri",
            "provenance",
            "last_updated",
            "field_intensities"
        ]
    },    
    {
        "name": "Place",
        "plural_name": "Places",
        "fields": [
            {
                "name": "iri",
                "label": "iri",
                "indexed": False,
                "unique": True,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "name",
                "label": "name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "coordinates",
                "label": "coordinates",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "geo_point",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "latitude",
                "label": "Latitude",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "decimal",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "longitude",
                "label": "Longitude",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "decimal",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "country",
                "label": "Country",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Country",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{{ Place.name }}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "content_type",
            "last_updated",
            "provenance",
            "field_intensities",
            "path",
            "label",
            "uri"
        ]
    },
    {
        "name": "Country",
        "plural_name": "Countries",
        "fields": [
            {
                "name": "name",
                "label": "name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{{ Country.name }}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "content_type",
            "last_updated",
            "provenance",
            "field_intensities",
            "path",
            "label",
            "uri"
        ]
    },
    {
        "name": "NamedGraph",
        "plural_name": "Named Graphs",
        "fields": [
            {
                "name": "iri",
                "label": "iri",
                "indexed": False,
                "unique": True,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "name",
                "label": "Name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "short_name",
                "label": "Short name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{{ NamedGraph.short_name }}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "content_type",
            "last_updated",
            "provenance",
            "field_intensities",
            "path",
            "label",
            "uri"
        ]
    },
    {
        "name": "Thing",
        "plural_name": "Things",
        "fields": [
            {
                "name": "iri",
                "label": "iri",
                "indexed": False,
                "unique": True,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "incoming_connections",
                "label": "Incoming Connections",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "names",
                "label": "Names",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": "english",
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "classes",
                "label": "Classes",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": "english",
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "notes",
                "label": "Notes",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "large_text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": "english",
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "images",
                "label": "Images",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "link",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "topics",
                "label": "Topics",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "materials",
                "label": "Materials",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "broad_materials",
                "label": "Materials (Broader Category)",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "types",
                "label": "Types",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "broad_types",
                "label": "Types (Broader Category)",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "years",
                "label": "Years",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "decades",
                "label": "Decades",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "number",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "graphs",
                "label": "Graphs",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "NamedGraph",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "places",
                "label": "Places",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Place",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "countries",
                "label": "Countries",
                "indexed": False,
                "unique": False,
                "multiple": True,
                "in_lists": True,
                "type": "cross_reference",
                "choices": [],
                "cross_reference_type": "Country",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }            
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{% for thing_name in Thing.names %}{{ thing_name }}{% if not forloop.last %}, {% endif %}{% endfor %}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "content_type",
            "last_updated",
            "provenance",
            "field_intensities",
            "path",
            "label",
            "uri"
        ]
    },
    {
        "name": "PersonGroup",
        "plural_name": "PersonGroups",
        "fields": [
            {
                "name": "person_iri",
                "label": "Person IRI",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "group_iri",
                "label": "Person IRI",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "person_name",
                "label": "Person Name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "group_name",
                "label": "Group Name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{{ PersonGroup.person_name }} is affiliated with {{ PersonGroup.group_name }}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "content_type",
            "last_updated",
            "provenance",
            "field_intensities",
            "path",
            "label",
            "uri"
        ]
    },    
    {
        "name": "PersonThing",
        "plural_name": "PersonThings",
        "fields": [
            {
                "name": "person_iri",
                "label": "Person IRI",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "thing_iri",
                "label": "Thing IRI",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "person_name",
                "label": "Person Name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "thing_name",
                "label": "Thing Name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "relationship",
                "label": "relationship",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{{ PersonThing.thing_name }}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "content_type",
            "last_updated",
            "provenance",
            "field_intensities",
            "path",
            "label",
            "uri"
        ]
    },
    {
        "name": "GroupThing",
        "plural_name": "GroupThings",
        "fields": [
            {
                "name": "group_iri",
                "label": "Group IRI",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "thing_iri",
                "label": "Thing IRI",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "group_name",
                "label": "Group Name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "thing_name",
                "label": "Thing Name",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "text",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            },
            {
                "name": "relationship",
                "label": "relationship",
                "indexed": False,
                "unique": False,
                "multiple": False,
                "in_lists": True,
                "type": "keyword",
                "choices": [],
                "cross_reference_type": "",
                "has_intensity": False,
                "language": None,
                "autocomplete": False,
                "synonym_file": None,
                "indexed_with": [],
                "unique_with": [],
                "stats": {},
                "inherited": False
            }
        ],
        "show_in_nav": True,
        "autocomplete_labels": False,
        "proxy_field": "",
        "templates": {
            "Label": {
                "template": "{{ GroupThing.thing_name }}",
                "mime_type": "text/html"
            }
        },
        "view_widget_url": None,
        "edit_widget_url": None,
        "inherited_from_module": None,
        "inherited_from_class": None,
        "base_mongo_indexes": None,
        "has_file_field": False,
        "invalid_field_names": [
            "corpus_id",
            "content_type",
            "last_updated",
            "provenance",
            "field_intensities",
            "path",
            "label",
            "uri"
        ]
    }
]